//CN-Palm Summer 2003
/* Desired server output: (any port, any pid, any arena)
 *
 * D <chatnet> [pid=0] New connection from 127.0.0.1:1052
 * D <core> [pid=0] Login request: 'CN-Palm'
 * D <core> authenticating with 'auth-file'
 * I <core> [CN-Palm] [pid=0] Player logged in
 * I <arenaman> {0} Creating arena
 * I <arenaman> {0} [CN-Palm] entering arena
 */

#ifndef _CHAT_H
#define _CHAT_H

#include "palm.h"

#define PROTOCOL  1

//Chat types for the popup/list
enum {
  CT_PUBLIC = 0,
  CT_PRIVATE,
  CT_TEAM,
  CT_CHAT,
  CT_STAFF,
  CT_CMD,
  CT_PCMD,
  CT_ARENA,
  CT_RAW
};

extern void    CProcessLine(Char *line);
extern void    CSendLogin(Char *name, Char *passwd);
extern void    CProcessInput(Char *in, Int8 ct);

#endif 
