//CN-Palm Summer 2003

#ifndef _NET_H
#define _NET_H

#include "palm.h"

#define EASY
#define BUF_SIZE 384

#ifdef __PALMOS_TRAPS__
  Err errno;
#endif

typedef struct {
  Int16  family; //netSocketAddrINET
  UInt16 port;
  union {
    UInt32 full;
    struct { UInt8 a, b, c, d; } part;
  } addr;
} NetSocketAddrMyType;

extern void  TCPReceive(void);
extern Char *TCPReadLine(void);
extern Int8  TCPSendRaw(Char *buf, UInt16 len);
extern Int8  TCPConnect(void);
extern Int8  TCPDisconnect(void);
extern void  TCPInit(void);
extern void  TCPEnd(void);

#ifdef EASY
  extern void TCPSetHost(Char *host_, UInt16 port_);
#else
  extern void TCPSetHost(UInt8, UInt8, UInt8, UInt8, UInt16);
#endif

#endif 
